@keyframes moveToTarget {
    0% {
        transform: translate(0, 0);
        opacity: 1;
    }
    100% {
        transform: translate(var(--target-x), var(--target-y)); /* 使用 CSS 变量 */
        opacity: 1;
    }
}

.fly-collection {
    z-index: 99999;
    position: absolute; /* 使用绝对定位 */
    animation: moveToTarget 2s linear forwards; /* 使用线性动画 */
}
.faq-tiwen {
    font-size: 16px;
    background: #d20032;
    width: 150px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    cursor: pointer;
    margin: 10px auto 10px auto;
}

.collection-container {
    background: rgba(247, 248, 251, 1);
    display: flex;
}

#collectio-click:hover {
    cursor: pointer
}

#collectio-click{
    display: none;
}

@media screen and (max-width: 750px) {
    .img-small {
        width: 6.74rem;
        height: 5.33rem;
    }

    .collection-container {
        width: 100%;
        height: 53px;
        border-radius: 4.4px;
        margin-top: 11px;
        justify-content: center
    }

    .collection-container-text {
        line-height: 44px;
        font-size: 17.6px;
        padding: 4.6px;
        padding-left: 0;
    }

    /* .collection-container {
        width: 100%;
        height: 1.28rem;
        border-radius: 0.1067rem;
        margin-top: 0.2667rem;
        justify-content: center
    } */

    /* .collection-container-text {
        line-height: 1.0667rem;
        font-size: .4267rem;
        padding: .112rem;
        padding-left: 0;
    } */

    .n-detail-btn {
        flex-wrap: wrap;
        width: 45%;
        text-align: center;
    }
    .redBtn{
        margin: 0;
    }

    .n-detail-btns {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .svg-margin {
        display: flex;
        margin: auto 0.07rem auto 0.2101rem;
        justify-content: center
    }

    .login-mask-title {
        color: #2a2b2e;
        font-weight: 700;
        font-size: 22px;
        line-height: 33px;
        text-align: center;
        margin: 5.5px;
    }

    .login-mask-text {
        color: #2a2b2e;
        font-weight: 500;
        font-size: 15.4px;
        line-height: 23px;
        text-align: center;
    }

    .login-mask-register {
        color: #6a6b6d;
        font-weight: 400;
        font-size: 15.4px;
        line-height: 23px;
        text-align: center;
    }

    /* .login-mask-title {
        color: #2a2b2e;
        font-weight: 700;
        font-size: 0.5333rem;
        line-height: 0.8rem;
        text-align: center;
        margin: 0.1333rem;
    } */

    /* .login-mask-text {
        color: #2a2b2e;
        font-weight: 500;
        font-size: 0.3733rem;
        line-height: 0.56rem;
        text-align: center;
    } */

    /* .login-mask-register {
        color: #6a6b6d;
        font-weight: 400;
        font-size: 0.3733rem;
        line-height: 0.56rem;
        text-align: center;
    } */

    .login-mask-register-link {
        text-decoration: underline;
    }

    #login-mask {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5); /* 黑色半透明 */
        display: none; /* 初始隐藏 */
        justify-content: center;
        align-items: center;
        z-index: 1000;
    }

    .login-mask-content {
        width: 323px;
        height: 397.4px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: white;
        padding: 22px;
        border-radius: 5.5px;
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    /* .login-mask-content {
        width: 7.8rem;
        height: 9.6rem;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: white;
        padding: 0.5333rem;
        border-radius: 0.1333rem;
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
    } */

    .login-mask-close {
        position: absolute;
        top: 12px;
        right: 12px;
        padding: 0.1333rem;
    }

    .login-mask-btn-content {
        margin: 0.5333rem 0;
    }

    .login-mask-btn-content-btn-hover {
        display: none
    }

    .login-mask-btn-content-btn-hover:hover {
        display: block;
        cursor: pointer;
    }

    .login-mask-register-link {
        cursor: pointer;
    }
}

@media screen and (min-width: 750px) {
    .img-small {
        width: 400px;
        height: 400px;
    }

    .collection-container {
width: 216px;
padding: 12px 0px;
height: 24px;
border-radius: 0.028rem;
    }

    .svg-margin {
        display: flex;
        margin: auto 10px auto 30px;
    }

    .manage-my-personal-info {
        border-radius: 0 0.625rem 0.625rem 0;
    }

    .collection-container-text {
        /* line-height: 0.1261rem; */
        font-size: 16px;
        margin: auto;
        margin-left: 0;
        padding-left: 0;
    }

    .login-mask-title {
        color: #2a2b2e;
        font-weight: 700;
        font-size: 20px;
        line-height: 30px;
        text-align: center;
        margin: 5px;
    }

    .login-mask-text {
        color: #2a2b2e;
        font-weight: 500;
        font-size: 14px;
        line-height: 21px;
        text-align: center;
    }

    .login-mask-register {
        color: #6a6b6d;
        font-weight: 400;
        font-size: 14px;
        line-height: 21px;
        text-align: center;
    }

    .login-mask-register-link {
        text-decoration: underline;
    }

    #login-mask {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5); /* 黑色半透明 */
        display: none; /* 初始隐藏 */
        justify-content: center;
        align-items: center;
        z-index: 1000;
    }

    .login-mask-content {
        width: 410px;
        height: 320px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: white;
        padding: 20px;
        border-radius: 5px;
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .login-mask-close {
        position: absolute;
        top: 20px;
        right: 20px;
        padding: 5px
    }

    .login-mask-btn-content {
        margin: 20px 0;
    }

    .login-mask-btn-content-btn-hover {
        display: none;
        cursor: pointer;
    }

    .login-mask-register-link {
        cursor: pointer;
    }
}
